# Generated by Django 3.2.15 on 2023-07-15 17:58

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Event",
            fields=[
                ("code", models.CharField(max_length=255, primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=255)),
                ("description", models.TextField(blank=True, null=True)),
                ("info", models.JSONField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Webhook",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("code", models.CharField(max_length=255)),
                ("name", models.CharField(max_length=255)),
                ("endpoint", models.URLField()),
                ("scope_type", models.CharField(max_length=64)),
                ("scope_code", models.CharField(max_length=64)),
                ("token", models.CharField(blank=True, max_length=255, null=True)),
                ("extra_info", models.JSONField(blank=True, null=True)),
            ],
            options={
                "unique_together": {("scope_type", "scope_code", "code")},
            },
        ),
        migrations.CreateModel(
            name="Subscription",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("webhook_code", models.CharField(db_index=True, max_length=255)),
                ("event_code", models.CharField(db_index=True, max_length=255)),
                ("scope_type", models.CharField(max_length=64)),
                ("scope_code", models.CharField(max_length=64)),
            ],
            options={
                "index_together": {("scope_type", "scope_code", "event_code", "webhook_code")},
            },
        ),
        migrations.CreateModel(
            name="Scope",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("type", models.CharField(max_length=64)),
                ("code", models.CharField(max_length=64)),
            ],
            options={
                "unique_together": {("type", "code")},
            },
        ),
        migrations.CreateModel(
            name="History",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("webhook_code", models.CharField(db_index=True, max_length=255)),
                ("event_code", models.CharField(db_index=True, max_length=255)),
                ("created_at", models.DateTimeField(auto_now_add=True, db_index=True)),
                ("success", models.BooleanField()),
                ("status_code", models.IntegerField(blank=True, default=None, null=True)),
                ("delivery_id", models.CharField(db_index=True, max_length=64)),
                ("scope_type", models.CharField(max_length=64)),
                ("scope_code", models.CharField(max_length=64)),
                ("extra_info", models.JSONField(blank=True, null=True)),
            ],
            options={
                "index_together": {("scope_type", "scope_code", "webhook_code", "event_code")},
            },
        ),
    ]
